-- MySQL dump 10.9
--
-- Host: localhost    Database: microbedb
-- ------------------------------------------------------
-- Server version	5.0.21-standard

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

--
-- Table structure for table `analysislist`
--

DROP TABLE IF EXISTS `analysislist`;
CREATE TABLE `analysislist` (
  `table_name` varchar(30) NOT NULL default 'error',
  `type` varchar(30) NOT NULL default 'unknown',
  `domain` enum('GenomeProject','Replicon','Gene') NOT NULL default 'Replicon',
  `author` varchar(30) NOT NULL default 'unknown',
  `comments` text,
  PRIMARY KEY  (`table_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `gene`
--

DROP TABLE IF EXISTS `gene`;
CREATE TABLE `gene` (
  `gene_id` int(10) unsigned NOT NULL auto_increment,
  `rpv_id` int(10) unsigned NOT NULL default '0',
  `version_id` int(10) unsigned NOT NULL default '0',
  `gpv_id` int(10) unsigned NOT NULL default '0',
  `gid` int(10) unsigned default '0',
  `pid` int(10) unsigned default '0',
  `protein_accnum` char(12) default '',
  `gene_start` int(11) default '0',
  `gene_end` int(11) default '0',
  `gene_length` int(11) default '0',
  `gene_strand` enum('+','-') default NULL,
  `gene_name` tinytext,
  `locus_tag` tinytext,
  `gene_product` text,
  `gene_seq` longtext,
  `protein_seq` longtext,
  PRIMARY KEY  (`gene_id`),
  KEY `version_id` (`version_id`),
  KEY `gpv_id` (`gpv_id`),
  KEY `rpv_id` (`rpv_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `genomeproject`
--

DROP TABLE IF EXISTS `genomeproject`;
CREATE TABLE `genomeproject` (
  `gpv_id` int(10) unsigned NOT NULL auto_increment,
  `gp_id` int(10) unsigned default '0',
  `version_id` int(10) unsigned NOT NULL default '0',
  `taxon_id` int(10) unsigned NOT NULL default '0',
  `org_name` text,
  `lineage` text,
  `gram_stain` enum('+','-','neither','unknown') default 'unknown',
  `genome_gc` float(4,2) default '0.00',
  `patho_status` enum('pathogen','nonpathogen','unknown') default 'unknown',
  `disease` text,
  `genome_size` float(4,2) default '0.00',
  `pathogenic_in` text,
  `temp_range` enum('unknown','cryophilic','psychrophilic','mesophilic','thermophilic','hyperthermophilic') default 'unknown',
  `temp_optimal` text,
  `habitat` enum('unknown','host-associated','aquatic','terrestrial','specialized','multiple') default 'unknown',
  `intracellular` enum('yes','no','unknown') default 'unknown',
  `shape` text,
  `arrangement` text,
  `endospore` enum('yes','no','unknown') default 'unknown',
  `motility` enum('yes','no','unknown') default 'unknown',
  `salinity` enum('Non-halophilic','Mesophilic','Moderate halophile','Extreme halophile','unknown') default 'unknown',
  `oxygen_req` enum('unknown','aerobic','microaerophilic','facultative','anaerobic') default 'unknown',
  `release_date` date default '0000-00-00',
  `centre` text,
  `centre_url` text,
  `org_overview` text,
  `gpv_directory` text,
  PRIMARY KEY  (`gpv_id`),
  KEY `version` (`version_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 ROW_FORMAT=DYNAMIC;

--
-- Table structure for table `reference`
--

DROP TABLE IF EXISTS `reference`;
CREATE TABLE `reference` (
  `ref_id` int(10) unsigned NOT NULL auto_increment,
  `gp_id` int(10) unsigned default '0',
  `ref_source` enum('pubmed','web','other') NOT NULL default 'other',
  `ref_value` text,
  `ref_url` text,
  `ref_comment` text,
  PRIMARY KEY  (`ref_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `replicon`
--

DROP TABLE IF EXISTS `replicon`;
CREATE TABLE `replicon` (
  `rpv_id` int(10) unsigned NOT NULL auto_increment,
  `gpv_id` int(10) unsigned NOT NULL default '0',
  `version_id` int(10) unsigned NOT NULL default '0',
  `rep_accnum` char(12) default NULL,
  `definition` text,
  `rep_type` enum('chromosome','plasmid') default NULL,
  `rep_ginum` tinytext,
  `file_name` char(15) default NULL,
  `cds_num` int(10) unsigned default '0',
  `gene_num` int(10) unsigned default '0',
  `protein_num` int(10) unsigned default '0',
  `genome_id` int(10) unsigned default '0',
  `rep_size` int(10) unsigned default '0',
  `rna_num` int(10) unsigned default '0',
  `file_types` text,
  `rep_seq` longtext,
  PRIMARY KEY  (`rpv_id`),
  KEY `version` (`version_id`),
  KEY `gpv_id` (`gpv_id`),
  KEY `rep_accnum` (`rep_accnum`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `replicon_distance`
--

DROP TABLE IF EXISTS `replicon_distance`;
CREATE TABLE `replicon_distance` (
  `rep_accnum1` char(12) NOT NULL,
  `rep_accnum2` char(12) NOT NULL,
  `distance` float NOT NULL,
  PRIMARY KEY  (`rep_accnum1`,`rep_accnum2`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='This replaces "old_replicon_distance" table. It uses replico';

--
-- Table structure for table `taxonomy`
--

DROP TABLE IF EXISTS `taxonomy`;
CREATE TABLE `taxonomy` (
  `taxon_id` int(10) unsigned NOT NULL auto_increment,
  `superkingdom` tinytext,
  `phylum` tinytext,
  `class` tinytext,
  `order` tinytext,
  `family` tinytext,
  `genus` tinytext,
  `species` tinytext,
  `other` tinytext,
  `synonyms` tinytext,
  PRIMARY KEY  (`taxon_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `updatelog`
--

DROP TABLE IF EXISTS `updatelog`;
CREATE TABLE `updatelog` (
  `ul_id` int(10) unsigned NOT NULL auto_increment,
  `record_id` int(10) unsigned NOT NULL default '0',
  `record_fieldname` text NOT NULL,
  `object_name` enum('GenomeProject','Replicon','Gene') NOT NULL default 'GenomeProject',
  `field_name` text NOT NULL,
  `original_value` text,
  `new_value` text NOT NULL,
  `curator_name` text NOT NULL,
  `update_date` date NOT NULL default '0000-00-00',
  `version_id` text,
  `update_status` enum('perm','toreview','replacebynextversion','addref') NOT NULL default 'toreview',
  `comment` text,
  `ref_id` int(11) default '0',
  PRIMARY KEY  (`ul_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `version`
--

DROP TABLE IF EXISTS `version`;
CREATE TABLE `version` (
  `version_id` int(10) unsigned NOT NULL auto_increment,
  `dl_directory` text,
  `version_date` date NOT NULL default '0000-00-00',
  `used_by` text,
  `file_deleted` enum('yes','no') NOT NULL default 'no',
  `prev_version_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`version_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

